OpenTTD Source: CYapfRail_TypesT< Tpf_, Ttrack_follower, TdestinationT, TfollowT > Struct Template Reference

OpenTTD Source 15.3

Public Types
CYapfRail_TypesT< Tpf_, Ttrack_follower, TdestinationT, TfollowT > Struct Template Reference

## Public Types
typedef CYapfRail_TypesT< Tpf_, Ttrack_follower, TdestinationT, TfollowT > | Types
typedef Tpf_ | Tpf
typedef Ttrack_follower | TrackFollower
typedef CRailNodeList | NodeList
typedef Train | VehicleType
typedef CYapfBaseT< Types > | PfBase
typedef TfollowT< Types > | PfFollow
typedef CYapfOriginTileTwoWayT< Types > | PfOrigin
typedef TdestinationT< Types > | PfDestination
typedef CYapfSegmentCostCacheGlobalT< Types > | PfCache
typedef CYapfCostRailT< Types > | PfCost

## Detailed Description

template<class Tpf_, class Ttrack_follower, template< class Types > class TdestinationT, template< class Types > class TfollowT>
struct CYapfRail_TypesT< Tpf_, Ttrack_follower, TdestinationT, TfollowT >

Definition at line 532 of file yapf_rail.cpp.

## Member Typedef Documentation

## ◆ NodeList

template<class Tpf_ , class Ttrack_follower , template< class Types > class TdestinationT, template< class Types > class TfollowT>

typedef CRailNodeList CYapfRail_TypesT< Tpf_, Ttrack_follower, TdestinationT, TfollowT >::NodeList

Definition at line 537 of file yapf_rail.cpp.

## ◆ PfBase

template<class Tpf_ , class Ttrack_follower , template< class Types > class TdestinationT, template< class Types > class TfollowT>

typedef CYapfBaseT<Types> CYapfRail_TypesT< Tpf_, Ttrack_follower, TdestinationT, TfollowT >::PfBase

Definition at line 539 of file yapf_rail.cpp.

## ◆ PfCache

template<class Tpf_ , class Ttrack_follower , template< class Types > class TdestinationT, template< class Types > class TfollowT>

typedef CYapfSegmentCostCacheGlobalT<Types> CYapfRail_TypesT< Tpf_, Ttrack_follower, TdestinationT, TfollowT >::PfCache

Definition at line 543 of file yapf_rail.cpp.

## ◆ PfCost

template<class Tpf_ , class Ttrack_follower , template< class Types > class TdestinationT, template< class Types > class TfollowT>

typedef CYapfCostRailT<Types> CYapfRail_TypesT< Tpf_, Ttrack_follower, TdestinationT, TfollowT >::PfCost

Definition at line 544 of file yapf_rail.cpp.

## ◆ PfDestination

template<class Tpf_ , class Ttrack_follower , template< class Types > class TdestinationT, template< class Types > class TfollowT>

typedef TdestinationT<Types> CYapfRail_TypesT< Tpf_, Ttrack_follower, TdestinationT, TfollowT >::PfDestination

Definition at line 542 of file yapf_rail.cpp.

## ◆ PfFollow

template<class Tpf_ , class Ttrack_follower , template< class Types > class TdestinationT, template< class Types > class TfollowT>

typedef TfollowT<Types> CYapfRail_TypesT< Tpf_, Ttrack_follower, TdestinationT, TfollowT >::PfFollow

Definition at line 540 of file yapf_rail.cpp.

## ◆ PfOrigin

template<class Tpf_ , class Ttrack_follower , template< class Types > class TdestinationT, template< class Types > class TfollowT>

typedef CYapfOriginTileTwoWayT<Types> CYapfRail_TypesT< Tpf_, Ttrack_follower, TdestinationT, TfollowT >::PfOrigin

Definition at line 541 of file yapf_rail.cpp.

## ◆ Tpf

template<class Tpf_ , class Ttrack_follower , template< class Types > class TdestinationT, template< class Types > class TfollowT>

typedef Tpf_ CYapfRail_TypesT< Tpf_, Ttrack_follower, TdestinationT, TfollowT >::Tpf

Definition at line 535 of file yapf_rail.cpp.

## ◆ TrackFollower

template<class Tpf_ , class Ttrack_follower , template< class Types > class TdestinationT, template< class Types > class TfollowT>

typedef Ttrack_follower CYapfRail_TypesT< Tpf_, Ttrack_follower, TdestinationT, TfollowT >::TrackFollower

Definition at line 536 of file yapf_rail.cpp.

## ◆ Types

template<class Tpf_ , class Ttrack_follower , template< class Types > class TdestinationT, template< class Types > class TfollowT>

typedef CYapfRail_TypesT<Tpf_, Ttrack_follower, TdestinationT, TfollowT> CYapfRail_TypesT< Tpf_, Ttrack_follower, TdestinationT, TfollowT >::Types

Definition at line 533 of file yapf_rail.cpp.

## ◆ VehicleType

template<class Tpf_ , class Ttrack_follower , template< class Types > class TdestinationT, template< class Types > class TfollowT>

typedef Train CYapfRail_TypesT< Tpf_, Ttrack_follower, TdestinationT, TfollowT >::VehicleType

Definition at line 538 of file yapf_rail.cpp.

The documentation for this struct was generated from the following file:

- src/pathfinder/yapf/yapf_rail.cpp